<script setup>
import { useI18n } from "vue-i18n";
import { useDisplay } from "vuetify";

const { mobile } = useDisplay();
const drawer = ref(false);
const t = useI18n();

onMounted(() => {
  drawer.value = !mobile.value;
});

function onDrawerStateChange(newValue) {
  drawer.value = newValue;
}
</script>

<template>
  <v-layout class="rounded rounded-md">
    <v-app class="overflow-y-hidden" full-height>
      <v-navigation-drawer
        :width="340"
        :model-value="drawer"
        @update:modelValue="onDrawerStateChange"
      >
        <template v-slot:prepend>
          <div class="d-flex">
            <p class="ps-5 me-auto align-self-center" style="font-family: Futura; font-size: 20px;">
              <b><span style="color: #115c99;">MAD</span><span style="color: #249fd6;">BOT</span></b>
            </p>
            <v-btn
              variant="plain"
              icon="mdi-menu-open"
              size="small"
              fixed
              slim
              @click="drawer = !drawer"
            />
          </div>

          <div class="px-5 py-0">
            <Parameters />
          </div>
        </template>

        <template v-slot:append>
          <div class="px-5 py-3 ">
            <UserBar />
          </div>
        </template>
      </v-navigation-drawer>
      <v-navigation-drawer
        v-if="mobile || drawer === false"
        class="remove-border mt-1"
        location="left"
        width="35"
        permanent
      >
        <v-btn
          variant="plain"
          icon="mdi-menu"
          size="small"
          fixed
          slim
          @click="drawer = !drawer"
        />
      </v-navigation-drawer>
      <v-main class="fill-height">
        <slot />
        <CookieControl :locale="t.locale.value" />
      </v-main>
    </v-app>
  </v-layout>
</template>

<style>
.madbot-sidebar {
  background-color: rgb(var(--v-theme-background-gray));
}

.v-navigation-drawer >>> .v-navigation-drawer__border {
  display: none;
}

.remove-border {
  border-right-width: 0 !important;
}
</style>
